//(c) 2011 VDZ
//made for Ludum Dare 22
//
//Licensed under Creative Commons Attribution-NonCommercial 3.0 Unported (CC BY-NC 3.0) 
//
//You are free:
//# to Share — to copy, distribute and transmit the work
//# to Remix — to adapt the work 
//
//Under the following conditions:
//# Attribution — You must attribute the work in the manner specified by the author or licensor
//      (but not in any way that suggests that they endorse you or your use of the work).
//# Noncommercial — You may not use this work for commercial purposes. 
//
//With the understanding that: 
//# Waiver — Any of the above conditions can be waived if you get permission from the copyright holder. 
//# Public Domain — Where the work or any of its elements is in the public domain under applicable law,
//      that status is in no way affected by the license. 
//# Other Rights — In no way are any of the following rights affected by the license:
//  * Your fair dealing or fair use rights, or other applicable copyright exceptions and limitations;
//  * The author's moral rights;
//  * Rights other persons may have either in the work itself or in how the work is used, such as publicity
//      or privacy rights.

public interface IGUI {

    void Msg(string message);
    void ItemFeedback(Item item);
    void DayFeedback(int day);
    void AllowAction();
    void EndTurn();
    void EndGame(GameMain.EndingFlag ending);

    void CashFeedback(int cash);
    void DepressionFeedback(int depression);
    void CourageFeedback(int courage);
    void SocialFeedback(int social);
    void HopeFeedback(int hope);
    void HealthFeedback(int health);

    void ParentFeedback(int parent);
    void WelfareFeedback(int welfare);
    void MMOSubscriptionFeedback(int cost);
    void RentFeedback(int rent);
    void IllnessFeedback(int illness);

    void FoodFeedback(Item item);
    void FoodFailedFeedback();
    void FoodFinishFeedback();

    void BoardFeedback();
    void MMOFeedback();
    void InvoluntaryMMOFeedback();
    void MMOFailFeedback();
    void MMOCantFeedback();
    void OutsideFeedback();
    void WorkFeedback();
    void WelfareApplyFeedback();
    void ParentDropFeedback(int amount);
    void GetSickFeedback(int duration);

    void OutsideFinishFeedback();
    void WelfareChangeFeedback(int change);
    void WelfareFailFeedback();
    void WorkFinishFeedback(int amount);

}
